apply plugin: 'com.android.library'

android {
    namespace("com.goodiebag.pinview")
    compileSdk(35)
    defaultConfig {
        minSdkVersion 24
        targetSdk(35)
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])
    androidTestImplementation('androidx.test.espresso:espresso-core:3.1.0', {
        exclude group: 'com.android.support', module: 'support-annotations'
    })
    implementation 'androidx.appcompat:appcompat:1.7.1'
    testImplementation 'junit:junit:4.12'
}
